import numpy as np
import matplotlib.pyplot as plt

plt.rc('text', usetex=True)


gammas = np.load('gamma.npy').item()
heatmaps = np.load('active.npy').item()

fig = plt.figure(figsize=(10, 4))
num = len(heatmaps)
for i, (name, heatmap) in enumerate(heatmaps.items()):
    overall = np.sum(heatmap, axis=0)
    indices = np.argsort(overall)
    overall = overall[indices]
    always_off = np.argmax(overall > 0) - 0.5
    always_on = np.argmax(overall == 10.0) - 0.5
    heatmap = heatmap[:, indices]
    # ax1 = fig.add_subplot(num, 2, 2 * i + 1)
    # ax1.imshow(
    #     np.corrcoef(gammas[name]), cmap='Greys', interpolation='nearest')
    # ax1.set_xticks([])
    # ax1.set_yticks([])
    ax2 = fig.add_subplot(num, 1, i + 1)
    ax2.set_anchor('W')
    ax2.imshow(
        heatmap, cmap='Greys', vmin=0, vmax=1.2, interpolation='nearest')
    ax2.set_xticks([always_off, always_on])
    ax2.tick_params(labelbottom=False)
    ax2.set_yticks([])
    # ax2.text(2, 6, '$\\texttt{{conv{}}}~({})$'.format(i, heatmap.shape[-1]))
# plt.tight_layout()
plt.subplots_adjust(wspace=0, hspace=0.25)
plt.savefig('heatmap.pdf', dpi=1600, bbox_inches='tight')
plt.show()
