import numpy as np
import matplotlib.pyplot as plt

plt.rc('text', usetex=True)


name = 'cifarnet/conv4'
num = 13


indices = None
fig = plt.figure(figsize=(6, 6))
for i in range(1, num):
    heatmaps = np.load('active-{}.npy'.format(i)).item()
    heatmap = heatmaps[name]
    overall = np.sum(heatmap, axis=0)
    if indices is None:
        indices = np.argsort(overall)
    #  overall = overall[indices]
    #  always_off = np.argmax(overall > 0) - 0.5
    #  always_on = np.argmax(overall == 10.0) - 0.5
    heatmap = heatmap[:, indices]
    # ax1 = fig.add_subplot(num, 2, 2 * i + 1)
    # ax1.imshow(
    #     np.corrcoef(gammas[name]), cmap='Greys', interpolation='nearest')
    # ax1.set_xticks([])
    # ax1.set_yticks([])
    ax2 = fig.add_subplot(num, 1, i + 1)
    ax2.set_anchor('W')
    ax2.imshow(
        heatmap, cmap='Greys', vmin=0, vmax=1.2, interpolation='nearest')
    #  ax2.set_xticks([always_off, always_on])
    ax2.set_xticks([])
    ax2.tick_params(labelbottom=False)
    ax2.set_yticks([])
    # ax2.text(2, 6, '$\\texttt{{conv{}}}~({})$'.format(i, heatmap.shape[-1]))
# plt.tight_layout()
plt.subplots_adjust(wspace=0, hspace=0.25)
plt.savefig('heatmap_history.pdf', dpi=1600, bbox_inches='tight')
plt.show()
